Related Artists

Related artists ("fans also listen to") for the given Chartmetric artist. Base response returns only metadata + cm_artist_score; pass fromDaysAgo + toDaysAgo to additionally hydrate per-artist preview_url, preview_track_id, rank_stats (array of {rank, timestp} over the requested date range), rank_diff, and genres. Apidoc types rank_stats as a single object — in reality it's an array from getRankStatBatch.

Path Parameters
  • id
    Type: integer
    min:  
    2
    max:  
    2147483647
    required

    Chartmetric artist ID. Note: id=1 ('Various Artists') is rejected.

    • enum
      const:  
      1
      values
      • 1
Query Parameters
  • limit
    Type: integer
    min:  
    0
    max:  
    50
    required

    Maximum number of related artists to return. Defaults to 10, max 50.

  • fromDaysAgo
    Type: integer
    min:  
    0

    Start of a date range in days ago from today. When set with toDaysAgo, returns extra per-artist enrichments (preview_url, preview_track_id, rank_stats, rank_diff, genres).

  • toDaysAgo
    Type: integer
    min:  
    0

    Optional end of a date range in days ago from today. Defaults to 0 (today). When set together with fromDaysAgo, additional per-artist enrichments are returned.

Responses
  • application/json
Request Example for get/api/artist/{id}/relatedartists
curl 'https://api.chartmetric.com/api/artist/2/relatedartists?limit=10' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    {
      "id": 113381,
      "name": "Ozuna",
      "code2": "pr",
      "cm_artist_rank": 52,
      "cm_artist_score": 85.4,
      "image_url": "https://i.scdn.co/image/ab67616100005174b34caaa3f41eaf9ff5fe849d",
      "sp_followers": 32851167,
      "popularity": 85,
      "rank_diff": 0,
      "genres": {
        "primary": {
          "id": 462958,
          "name": "Latin Hip-Hop/Rap",
          "link_type": "cm_artist_genre",
          "score": 5
        },
        "secondary": [
          {
            "id": 462957,
            "name": "Latin Pop",
            "link_type": "cm_artist_genre",
            "score": 4
          },
          {
            "id": 462896,
            "name": "Reggae",
            "link_type": "cm_artist_genre",
            "score": 2
          }
        ],
        "sub": [
          {
            "id": 402145,
            "name": "trap latino",
            "link_type": "cm_artist_sub_genre",
            "score": 0
          }
        ]
      },
      "rank_stats": [
        {
          "rank": 52,
          "timestp": "2022-07-29"
        },
        {
          "rank": 52,
          "timestp": "2022-07-28"
        }
      ]
    }
  ]
}